view launch_gnb.sh @ 1:f415e44e71de draft

planemo upload for repository https://github.com/galaxy-genome-annotation/galaxy-tools/tree/master/tools/genenotebook commit a04f273adbc0ebb95bf42bf5bad8b41ba7aba91d
author gga
date Mon, 03 Apr 2023 15:01:52 +0000
parents 22f22c3e81bf
children 5a6050937cb9
line wrap: on
line source

#!/bin/bash

set -e

mongod --dbpath ./mongo_db/ --unixSocketPrefix `pwd` --bind_ip fake_socket --logpath ./mongod.log --pidfilepath ./mongo.pid &

sleep 8

# "Listening on" is for mongodb 5x
if ! grep -q "Listening on" ./mongod.log; then
  echo "Failed to launch MongoDB:" 1>&2;
  cat ./mongod.log 1>&2;
  kill $GNB_PID;
  exit 1;
fi;

TMP_STORAGE=$(pwd)/tmp_storage
mkdir "$TMP_STORAGE"

genoboo run --storage-path "$TMP_STORAGE" --port ${GNB_PORT} --mongo-url mongodb://$MONGO_URI%2Fmongodb-27017.sock/genenotebook > ./gnb.log 2>&1 &

export GNB_PID=$!

sleep 15

if ! grep -q "GeneNoteBook server started, serving" ./gnb.log; then
  echo "Failed to launch GeneNoteBook:" 1>&2;
  cat ./gnb.log 1>&2;
  kill $GNB_PID $(<"./mongo.pid");
  exit 1;
fi;